const i = {
  classes: {
    wrapper: "",
    label: ({ props: t }) => {
      const e = "font-medium text-secondary-800 dark:text-secondary-200";
      return t.size === "xs" ? e + " text-xs" : t.size === "sm" ? e + " text-sm" : t.size === "lg" ? e + " text-lg" : t.size === "xl" ? e + " text-xl" : e + " text-sm";
    },
    buttonWrapper: ({ props: t }) => {
      let e = "relative shrink-0";
      return t.size === "sm" || t.size === "xs" ? e += " w-6" : t.size === "lg" ? e += " w-10" : t.size === "xl" ? e += " w-12" : e += " w-8", e;
    },
    button: ({ props: t }) => {
      let e = "rounded-full shadow transform transition duration-150 shrink-0";
      return t.size === "sm" || t.size === "xs" ? e += " h-3 w-3" : t.size === "lg" ? e += " h-5 w-5" : t.size === "xl" ? e += " h-6 w-6" : e += " h-4 w-4", e;
    }
  },
  styles: ({ colors: t, props: e, css: l }) => {
    const s = t.getPalette(e.color);
    return l.variables({
      bg: s[500],
      dark: {
        bg: s[600]
      }
    });
  }
}, r = i;
export {
  r as default
};
